Summary: Endian HTTP Antivirus 
Name: efw-havp
Version: 1.1.19
Release: 1.endian2
License: GPL
Group: System Environment/Daemons
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: efw-clamav, efw-proxy >= 1.1, havp

%description
This package contains startscripts and configuration templates for the havp antivirus

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%install
%makeinstall PREFIX=$RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%dir /usr/local/bin/
/usr/local/bin/restarthavp.py
%attr(0755,root,root)/usr/local/bin/restarthavp
/etc/havp/*.conf.tmpl

%defattr(0644,nobody,nobody,0755)
%dir /var/efw/havp
%dir /var/efw/havp/default
%config /var/efw/havp/default/settings
%attr(0755, nobody, nobody) /home/httpd/cgi-bin/*.cgi

%clean
rm -rf $RPM_BUILD_ROOT

%post
grep -qEe "/usr/local/bin/restarthavp\.py" /etc/sudoers || \
echo "nobody  ALL=NOPASSWD: /usr/local/bin/restarthavp.py" >> /etc/sudoers

# this is for backward compatibility reason
if [ "$1" == 0 ]; then
    if [ -e /var/efw/clamav/enable_http ]; then
	touch /var/efw/havp/enable
	touch /var/efw/dansguardian/enable_local
    fi
fi
if [ ! -L /etc/havp/whitelist ]; then
    mv -f /etc/havp/whitelist /var/efw/havp/ &>/dev/null || :
    touch /var/efw/havp/whitelist
    ln -sf /var/efw/havp/whitelist /etc/havp/
    chown nobody.nobody /var/efw/havp/whitelist
fi
if [ ! -L /etc/havp/blacklist ]; then
    mv -f /etc/havp/blacklist /var/efw/havp/ &>/dev/null || :
    touch /var/efw/havp/blacklist
    ln -sf /var/efw/havp/blacklist /etc/havp/
    chown nobody.nobody /var/efw/havp/whitelist
fi
exit 0 

%changelog
* Thu Jun 22 2006 Peter Warasin <peter@endian.it>
- moved templates out of /var/efw and
- put them always in the same directory where the real configuration
  file resides
- templates now always have .tmpl as file extension

* Wed Nov 23 2005 Peter Warasin <peter@endian.it> 
- adds handling for backward compatibility

* Tue Nov 22 2005 Peter Warasin <peter@endian.it> 
- initial package creation

